Update team
curl --request PUT \
--url https://api.16tms.com/api/v1/teams/{teamId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "boss official",
"logo": "string",
"coverImage": "string",
"description": "string",
"gameId": "8a7b084c-d30a-40e7-85e0-865164a9076b"
}
'import requests
url = "https://api.16tms.com/api/v1/teams/{teamId}"
payload = {
"name": "boss official",
"logo": "string",
"coverImage": "string",
"description": "string",
"gameId": "8a7b084c-d30a-40e7-85e0-865164a9076b"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'boss official',
logo: 'string',
coverImage: 'string',
description: 'string',
gameId: '8a7b084c-d30a-40e7-85e0-865164a9076b'
})
};
fetch('https://api.16tms.com/api/v1/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Team updated successfully",
"data": {
"teamId": "e86e814e-ca93-412e-b347-fb71837c6466",
"name": "boss official",
"description": "string",
"teamSize": 16,
"ownerId": "cbf66c47-a05a-457c-9d3f-322ddd04d79a",
"ownerName": "Dhruv",
"logo": "string",
"coverImage": "string",
"gameId": "8a7b084c-d30a-40e7-85e0-865164a9076b",
"gameName": "Counter Stirke",
"gameImage": "https://metaninzamedia.blob.core.windows.net/media/games/20260211055726_cs2.webp",
"members": [
{
"userId": "cbf66c47-a05a-457c-9d3f-322ddd04d79a",
"email": "",
"username": "dfs",
"role": 1,
"joinedAt": "2026-02-11T05:59:42.710198Z",
"profileImage": "strsdfsding",
"gameId": "8a7b084c-d30a-40e7-85e0-865164a9076b",
"userGameId": "Bossxdhruv"
}
]
},
"meta": {
"traceId": "00-fb61aeecb9154e9e1f1ff1cf32324afc-135e8e98ffea0f69-00",
"elapsedMs": 19.47,
"serverTimestamp": "2026-02-11T06:00:13.9368803Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Update team
Updates an existing team’s information.
PUT
/
teams
/
{teamId}
Update team
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Path Parameters
The unique identifier of the team
Query Parameters
External user ID for API key context
Body
application/json
⌘I